Bug 1065569 - Missing udev device id for HTC One S (ID3?)
Summary: Missing udev device id for HTC One S (ID3?)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libmtp
Version: 19
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Linus Walleij
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-15 00:13 UTC by Simon Guest
Modified: 2014-09-23 05:04 UTC (History)
1 user (show)

Fixed In Version: libmtp-1.1.8-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-23 05:04:01 UTC
Type: Bug


Attachments (Terms of Use)
udev rule for my variant of HTC One S (142 bytes, text/plain)
2014-02-15 00:13 UTC, Simon Guest
no flags Details

Description Simon Guest 2014-02-15 00:13:36 UTC
Created attachment 863540 [details]
udev rule for my variant of HTC One S

Description of problem:
The file /usr/lib/udev/rules.d/69-libmtp.rules is missing the id required to recognize my HTC One S, which has a slightly different idProduct from the two entries already in that file.  My device has ATTR{idVendor}=="0bb4", ATTR{idProduct}=="0df8"

Version-Release number of selected component (if applicable):
1.1.6-0

How reproducible:
Every time

Steps to Reproduce:
1. Plug in my HTC One S
2. 
3.

Actual results:
Observe in /var/log/messages that it is not recognized as an MTP device

Expected results:
Observe in /var/log/messages that it is recognized as an MTP device, able to use that device on the desktop, etc.

Additional info:
I attach the rule I am using successfully in /etc/udev/rules.d/69-libmtp.rules to make this work.

Comment 1 Fedora Update System 2014-08-30 19:16:32 UTC
libmtp-1.1.8-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/libmtp-1.1.8-1.fc21

Comment 2 Fedora Update System 2014-09-01 19:45:16 UTC
Package libmtp-1.1.8-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libmtp-1.1.8-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9984/libmtp-1.1.8-1.fc21
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2014-09-23 05:04:01 UTC
libmtp-1.1.8-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.